### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-table/ecl-table.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnDestroy` `DoCheck`

### Metadata

Selector | `[eclTableHead]`

### Index

###### Properties
eclTableHeaders
###### Methods
getCssClasses
###### Inputs
class e2eAttr
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(differs: IterableDiffers)`
Parameters :
Name | Type | Optional
differs | `IterableDiffers` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclTableHeaders
Type : `QueryList<EclTableHeaderDirective>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""